---
title: Update an AI Style Group in a Space
description: Update an existing AI style group in the specified space
url: https://storyblok.com/docs/api/management/ai-style-groups/spaces/update-ai-style-group-space
---

# Update an AI Style Group in a Space

PUT

```html
https://mapi.storyblok.com/v1/spaces/:space_id/ai_style_groups/:id
```

Update an existing AI style group in the specified space.

## Path parameters

-   `:space_id` (required) (number)
    
    The ID of the Space
    
-   `:id` (required) (number)
    
    The ID of the AI style group
    

## Request body properties

-   `ai_style_group` (object)
    
    -   `name` (string)
        
        The name of the AI style group (max 100 characters)
        
    -   `description` (string)
        
        Description of the AI style group (max 400 characters)
        
    
-   `ai_output_rule_ids` (number\[\])
    
    Array of AI output rule IDs that replace existing rules. Pass an empty array to remove existing rules.
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/ai_style_groups/67499417567240" \
      -X PUT \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"ai_output_rule_ids\":[123456789012345,123456789012348],\"ai_style_group\":{\"description\":\"Updated brand guidelines for marketing content creation\",\"name\":\"Updated Marketing Style Guide\"}}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.put('spaces/288868932106293/ai_style_groups/67499417567240', {
        "ai_output_rule_ids": [
          123456789012345,
          123456789012348
        ],
        "ai_style_group": {
          "description": "Updated brand guidelines for marketing content creation",
          "name": "Updated Marketing Style Guide"
        }
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["ai_output_rule_ids" => [123456789012345,123456789012348],"ai_style_group" => ["description" => "Updated brand guidelines for marketing content creation","name" => "Updated Marketing Style Guide"]];
    
    $client->put('spaces/288868932106293/ai_style_groups/67499417567240', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.put("https://mapi.storyblok.com/v1/spaces/288868932106293/ai_style_groups/67499417567240")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"ai_output_rule_ids":[123456789012345,123456789012348],"ai_style_group":{"description":"Updated brand guidelines for marketing content creation","name":"Updated Marketing Style Guide"}})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/ai_style_groups/67499417567240");
    var request = new RestRequest(Method.PUT);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"ai_output_rule_ids\":[123456789012345,123456789012348],\"ai_style_group\":{\"description\":\"Updated brand guidelines for marketing content creation\",\"name\":\"Updated Marketing Style Guide\"}}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/ai_style_groups/67499417567240"
    
    querystring = {}
    
    payload = {"ai_output_rule_ids":[123456789012345,123456789012348],"ai_style_group":{"description":"Updated brand guidelines for marketing content creation","name":"Updated Marketing Style Guide"}}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("PUT", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"ai_output_rule_ids" => [123456789012345,123456789012348],"ai_style_group" => {"description" => "Updated brand guidelines for marketing content creation","name" => "Updated Marketing Style Guide"}}
    
    client.put('spaces/288868932106293/ai_style_groups/67499417567240', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/ai_style_groups/67499417567240")
    request.httpMethod = "PUT"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "ai_output_rule_ids": [
            123456789012345,
            123456789012348,
        ],
        "ai_style_group": [
            "description": "Updated brand guidelines for marketing content creation",
            "name": "Updated Marketing Style Guide",
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.put("spaces/288868932106293/ai_style_groups/67499417567240") {
        setBody(buildJsonObject {
            putJsonArray("ai_output_rule_ids") {
                add(123456789012345)
                add(123456789012348)
            }
            putJsonObject("ai_style_group") {
                put("description", "Updated brand guidelines for marketing content creation")
                put("name", "Updated Marketing Style Guide")
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Set Default AI Style Groups for a Space](/docs/api/management/ai-style-groups/spaces/set-default-ai-style-groups-space)
-   [Next: Create an AI Style Group in an Organization](/docs/api/management/ai-style-groups/organizations/create-ai-style-group-organization)
